Package uk.ac.starlink.topcat.plot

# Class XYZoomRegion

java.lang.Object
uk.ac.starlink.topcat.plot.ZoomRegion
uk.ac.starlink.topcat.plot.XYZoomRegion

public abstract class XYZoomRegion extends ZoomRegion
ZoomRegion for zooming in two dimensions (X-Y). A drag in both positive graphics coordinate directions (down and right) is a zoom in (magnifying), and a drag in both negative directions (up and left) is a zoom out.

Since:
  28 Mar 2006
Author:
  Mark Taylor
See Also:
  - `Zoomer`

## Constructor Summary

Constructors
Constructor
Description
`XYZoomRegion(Rectangle display)`
Constructs a new XY zoom region.

## Method Summary

Modifier and Type
Method
Description
`ZoomDrag`
`createDrag(Component comp, Point start)`
Returns a new ZoomDrag object appropriate for this region.

### Methods inherited from class uk.ac.starlink.topcat.plot.ZoomRegion

`getCursor, getDisplay, getTarget, setCursor, setDisplay, setTarget, zoomed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XYZoomRegion

public XYZoomRegion(Rectangle display)
Constructs a new XY zoom region.

Parameters:
  `display` - rectangle defining the region for both dragging and visual feedback

## Method Details

### createDrag

public ZoomDrag createDrag(Component comp, Point start)
Description copied from class: `ZoomRegion`
Returns a new ZoomDrag object appropriate for this region.

Specified by:
  `createDrag` in class `ZoomRegion`
Parameters:
  `comp` - component on which the drag is taking place
  `start` - start point for the drag
Returns:
  new drag object